unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, tscap32, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    tsCap32PopupMenu1: TtsCap32PopupMenu;
    StatusBar1: TStatusBar;
    CaptureSettings1: TMenuItem;
    AdvancedCaptureSettings1: TMenuItem;
    AudioSettings1: TMenuItem;
    N1: TMenuItem;
    tsCap32Dialogs1: TtsCap32Dialogs;
    tsCap321: TtsCap32;
    procedure tsCap321Status(Sender: TObject; nID: Integer; lpsz: PChar);
    procedure CaptureSettings1Click(Sender: TObject);
    procedure AdvancedCaptureSettings1Click(Sender: TObject);
    procedure AudioSettings1Click(Sender: TObject);
    procedure tsCap321SyncExternalCtrls(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.tsCap321Status(Sender: TObject; nID: Integer;
  lpsz: PChar);
begin
  StatusBar1.SimpleText := StrPas(lpsz);
  Statusbar1.Update;
end;

procedure TForm1.CaptureSettings1Click(Sender: TObject);
begin
  if tsCap321.Connected then
    tsCap32Dialogs1.CaptureSettingsDlg := TRUE;
end;

procedure TForm1.AdvancedCaptureSettings1Click(Sender: TObject);
begin
  if tsCap321.Connected then
    tsCap32Dialogs1.AdvCaptureSettingsDlg := TRUE;
end;

procedure TForm1.AudioSettings1Click(Sender: TObject);
begin
  tsCap32Dialogs1.AudioParameterDlg := TRUE;
end;

procedure TForm1.tsCap321SyncExternalCtrls(Sender: TObject);
begin
  with tsCap321 do begin
    CaptureSettings1.Enabled := Connected;
    AdvancedCaptureSettings1.Enabled := Connected;
  end;
end;

end.
